### Enumeration

# Gtk ImageType

#### Declaration

    enum Gtk.ImageType

#### Description [src]

Describes the image data representation used by a `GtkImage`.

If you want to get the image from the widget, you can only get the currently-stored representation; for instance, if the gtk_image_get_storage_type() returns `GTK_IMAGE_PAINTABLE`, then you can call gtk_image_get_paintable().

For empty images, you can request any storage type (call any of the “get” functions), but they will all return `NULL` values.

#### Members

Name | Description
--- | ---
`GTK_IMAGE_EMPTY` | There is no image displayed by the widget.
`GTK_IMAGE_ICON_NAME` | The widget contains a named icon.
`GTK_IMAGE_GICON` | The widget contains a `GIcon`.
`GTK_IMAGE_PAINTABLE` | The widget contains a `GdkPaintable`.